package cn.com.qmth.stmms.biz.report.utils;

import cn.com.qmth.stmms.common.utils.BigDecimalUtils;

public class QuestionGroup {

    private boolean objective;

    private int mainNumber;

    private double totalScore;

    private double fullScore;

    private String paperType;

    public QuestionGroup(boolean objective, int mainNumber, String paperType) {
        this.objective = objective;
        this.mainNumber = mainNumber;
        this.paperType = paperType;
    }

    public void incrTotalScore(double score) {
        totalScore = BigDecimalUtils.add(totalScore, score);
    }

    public void incrFullScore(double score) {
        fullScore = BigDecimalUtils.add(fullScore, score);
    }

    public int getMainNumber() {
        return mainNumber;
    }

    public double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }

    public double getFullScore() {
        return fullScore;
    }

    public void setFullScore(double fullScore) {
        this.fullScore = fullScore;
    }

    public boolean isObjective() {
        return objective;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

}
